package org.eclipse.pde.http.ui;

import java.util.ArrayList;
import java.util.Arrays;

import org.eclipse.debug.ui.ILaunchConfigurationDialog;
import org.eclipse.debug.ui.ILaunchConfigurationTab;
import org.eclipse.debug.ui.sourcelookup.SourceLookupTab;
import org.eclipse.jdt.debug.ui.launchConfigurations.JavaClasspathTab;
import org.eclipse.pde.internal.ui.launcher.EquinoxLauncherTabGroup;
import org.eclipse.wst.server.ui.ServerLaunchConfigurationTab;

public class EquinoxHttpLaunchTabGroup extends EquinoxLauncherTabGroup {
	@Override
	public void createTabs(ILaunchConfigurationDialog dialog, String mode) {
		super.createTabs(dialog, mode);
		ArrayList<ILaunchConfigurationTab> list = new ArrayList<ILaunchConfigurationTab>(Arrays.asList(getTabs()));
		list.add(0, new ServerLaunchConfigurationTab(new String[] { "org.eclipse.jst.server.tomcat" }));
		list.add(2, new JavaClasspathTab());
		list.add(3, new SourceLookupTab());
		setTabs(list.toArray(new ILaunchConfigurationTab[0]));
	}
}
